> ## Documentation Index
> Fetch the complete documentation index at: https://docs.ariacompute.cn/llms.txt
> Use this file to discover all available pages before exploring further.

# 回滚 Wiki 页面 - POST /v1/workspaces/:workspace_id/wiki/:page_id/rollback

> 通过 POST /v1/workspaces/:workspace_id/wiki/:page_id/rollback 把 Wiki 页面回滚到指定历史版本。最小角色 contributor。

把 Wiki 页面回滚到某个历史版本（回滚本身也会生成一个新的版本号）。

## 接口

```http theme={null}
POST /v1/workspaces/:workspace_id/wiki/:page_id/rollback
```

## 认证

`Authorization: Bearer <jwt>` 或 `X-API-Key <sk_...>`。最小角色：**contributor**。

## 路径参数

<ParamField path="workspace_id" type="string" required>
  工作空间 id。
</ParamField>

<ParamField path="page_id" type="string" required>
  页面 id。
</ParamField>

## 请求体

<ParamField body="rev" type="integer">
  要回滚到的目标版本号。
</ParamField>

## 响应

<ResponseField name="rolled_back" type="boolean">
  是否为 true（已回滚）。
</ResponseField>

## 示例

<RequestExample>
  ```bash cURL theme={null}
  curl -X POST https://memo.ariacompute.cn/v1/workspaces/ws_01a2b3c4d5e6/wiki/wiki_01a2b3c4d5e6/rollback \
    -H "Authorization: Bearer <jwt>" \
    -H "Content-Type: application/json" \
    -d '{"rev":1}'
  ```
</RequestExample>

<ResponseExample>
  ```json 200 theme={null}
  {
    "rolled_back": true
  }
  ```
</ResponseExample>


This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.